Video Converter: Convertendo vídeos no Linux facilmente

Publicado por Phillipe Smith em 05/04/2009

[ Hits: 39.327 ]

Blog: http://phillipelnx.com

 


Video Converter: Convertendo vídeos no Linux facilmente



Muitos usuários Linux que não possuem muita experiência, ou mesmo os que possuem, geralmente tem um certo trabalho na hora de converter seus vídeos de um formato para outro.

Isso acontece não por falta de bons softwares de conversão (muito pelo contrário; no Linux existem excelentes deles), mas sim por a maioria ser via linha de comando, o que dificulta bastante o seu uso.

Venho aqui disponibilizar a todos um pequeno e bem simples aplicativo que desenvolvi para conversão de vídeos no Linux. É bem simples mesmo, mas muito útil e fácil de mexer.

Não é necessário ter conhecimento algum em relação aos programas via linha de comando que fazem as conversões: você só precisa utilizar seu mouse para clicar nas opções.

Faça o download do instalador neste link em smithux.com.

Para rodar o aplicativo é necessário que você instale em sua distribuição apenas três dependências:
  1. ffmpeg;
  2. mplayer (pois provê o programa mencoder necessário para conversões);
  3. xdialog (necessário para rodar o aplicativo graficamente).

Instaladas as dependências necessárias, basta dar as devidas permissões e executar o comando de instalação:

# chmod a+x install.sh
# sh install.sh


Depois é só executar o aplicativo assim:

./vdconverter

Ou simplesmente indo ao menu do seu sistema onde se encontram os aplicativos de Áudio e Vídeo para encontrar o Video Converter.

Lembrando que a instalação deve ser feita pelo terminal (shell) e o "$" significa que a operação deve ser executada como usuário comum e "#" como usuário administrador.

Para quem utiliza a distribuição ArchLinux, baixe o arquivo PKGBUILD. Abra um terminal na pasta onde foi baixado e execute o seguinte comando:

makepkg -sic

Esse comando irá gerar um pacote específico para o Arch.

Bem, espero que gostem e que seja útil a todos!

E por favor, caso tenham alguma sugestão de melhoria ou alguma crítica construtiva entrem em contato.

Att: Phillipe Smith ( SmithuX )
Email: phillipe@archlinux.com.br
Website: www.smithux.com

Outras dicas deste autor

Lakka - Uma distro para games retrô

Posicionando o AWN (Avant Window Navigator)

Limpando a memória cache no Linux

Substituição avançada de texto no Vi/Vim

Passagem de parâmetros para funções shell script

Leitura recomendada

Criando repositório local no Red Hat 5.8 (Tikanga)

Bloqueando pasta no Linux

No process in pidfile '/var/run/zabbix/zabbix_server.pid' found running; none killed

Configurando opções avançadas do KDE

Xen 4 - Habilitando Porta Serial

  

Comentários
[1] Comentário enviado por form1ga em 05/04/2009 - 15:04h

Aqui no Ubuntu 8.10 não funcionou e não mostrou nenhum erro.
Ele abre um terminal e fecha rapidamente.

Mas só por informação mesmo, há o WinFF (winff.org), que é gráfico e bem fácil de utilizar. E para quem quer mais ele deixa configurar muitos parâmetros como bitrate áudio e vídeo, aspect rate, bom, os principais parâmetros do mencoder.
Recomendo.

[2] Comentário enviado por removido em 05/04/2009 - 18:13h

form1ga, veja as dependências que Smith menciona, uma em especifico, cuja ausência pode causar o mencionado por você é o xdialog.

Eu testei o vdconverter, recomendo.

[3] Comentário enviado por Smithux em 05/04/2009 - 19:12h

form1ga
Tenta ser um pouco mais especifico, tipo informe o tipo de extensão do arquivo que ta tentando converter por exemplo.
Assim eu poderei analisar e aprimorar o aplicativo.

E quanto ao WinFF, realmente [e um ótimo programa, só tem um pequeno porem.... Nem todo mundo sabe o que e o bitrate, aspect ratio, quality, etc.... Foi por esses e outros motivos que decidi fazer esse aplicativo.

E para que o Video Converter funcione para todos, gostaria muito da contribuição dos usuários e não somente criticas, pois o programa esta bem simples, mas pode melhorar muito com a ajuda de todos.

Agradeço por utiliza-lo!

E agradeço também ao wdmatheus pela força. =)

[4] Comentário enviado por mgaramos em 13/05/2009 - 12:22h

Bom dia, estou ingressando no Linux recentemente,no Ubuntu 9.04 fiz todo o procedimento descrito, só que, quando abro, ele mostra uma tela indicando que é preciso instalar o Mplayer (que já está instalado) para executar o script. Alguma dica?? Obrigado.

[5] Comentário enviado por Smithux em 13/05/2009 - 13:33h

mgaramos, meu camarada é o seguinte
Na verdade o VDCONVERTER não necessita do mplayer em si, o que na verdade necessita é do MENCODER...
O que acontece é que em algumas distribuições como o Archlinux, o que eu utilizo, o mencoder vem embutido no pacote do mplayer, mas se não me engano, distribuições como o Ubuntu, o mencoder vem separado do mplayer.
Portanto verifique se você encontra o nos repositórios do Ubuntu o MENCODER e então instale-o que com certeza vai funfar tudo beleza!

Vou corrigir agora mesmo essa mensagem de dependência para que não haja mais problemas :)

Abraços!

[6] Comentário enviado por mateusc em 01/06/2009 - 16:36h

conseguir instalar corretamente porém, quando converto o arquivo, aparece em branco!
ffmpeg;
mplayer
xdialog

já estão instalados

[7] Comentário enviado por Smithux em 01/06/2009 - 19:41h

Opa mateusc!
Poderia me dizer qual o tipo de conversão que você está tentando fazer, tipo MPEG para AVI, para que eu possa verificar?!

Obrigado!

[8] Comentário enviado por claudiodc222 em 04/08/2011 - 09:02h

|Ubuntu 10.10|

Eu instalei as três dependências o mencoder e o programa (vdconverter) mas quando eu clico no ícone que ele gera após a instalação, não executa o programa, dou uma olhada no monitor do sistema e não está executando nenhum processo.

[9] Comentário enviado por Smithux em 04/08/2011 - 09:22h

@claudiodc222

Meu brother, infelizmente faz muito tempo que o aplicativo não recebe atualizações. Desde 2009....
Por isso não funcionará como deveria mesmo...
Estou vendo se consigo um tempo para atualizá-lo...

[10] Comentário enviado por dunga_jods em 30/08/2011 - 23:37h

CONSEGUI RODAR ESTE PROGRAMA NO DEBIAN SQUEEZE, o que ocorre é que o debian não dá mais suporte ao xdialog, mas o programa funciona perfeitamente. Eu uso o Debian (talvez funcione no Ubuntu, mas não testei ainda) eu custei a achar as dependências dele, mas achei e criei um arquivo compactado com todas as dependências necessárias para roda-lo no Debian, e hospedei o arquivo no 4shared para quem quiser usa-lo ;-p

#dependencias do xdialog
http://www.4shared.com/file/gT3Ufcgw/xdialog_e_dependenciastar.html

# E o script de instalação do vdconverter (caso o link do Phillipe não funcione) ;-p
http://www.4shared.com/file/i4VhsoCz/vdconverter-install.html



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts